#!/usr/bin/make -f
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYTHON=/usr/bin/python

build: build-stamp

build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	cd doc && make clean
	cd po && rm -f *.mo
	python setup.py clean
	rm -rf build

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(PYTHON) setup.py install --prefix=$(CURDIR)/debian/authentic/usr --no-compile
	mv $(CURDIR)/debian/authentic/usr/bin/authenticctl.py \
		$(CURDIR)/debian/authentic/usr/sbin/authenticctl
	rmdir $(CURDIR)/debian/authentic/usr/bin
	cd po && make install prefix=$(CURDIR)/debian/authentic/
	cp debian/vhost-apache-authentic $(CURDIR)/debian/authentic/etc/apache2/sites-available/authentic
	cp debian/apache2.conf $(CURDIR)/debian/authentic/usr/share/authentic/
	chown www-data.www-data $(CURDIR)/debian/authentic/var/lib/authentic/
	chmod 0770 $(CURDIR)/debian/authentic/var/lib/authentic/


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installcron
	dh_installdocs
	dh_installchangelogs
	dh_installinit
	dh_link
	dh_strip
	dh_compress
	dh_fixperms -X /var/lib/authentic
	dh_pysupport
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
